Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/wqy-zenhei: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Mon, 20 Feb 2017 11:59:55 +0800

http://wenq.org/wqy2/index.cgi?ZenHei
Hei-Ti style (sans-serif) Chinese outline font
---
 testing/wqy-zenhei/44-wqy-zenhei.conf | 29 +++++++++++++++++++++++
 testing/wqy-zenhei/91-wqy-zenhei.conf | 24 +++++++++++++++++++
 testing/wqy-zenhei/APKBUILD           | 43 +++++++++++++++++++++++++++++++++++
 3 files changed, 96 insertions(+)
 create mode 100644 testing/wqy-zenhei/44-wqy-zenhei.conf
 create mode 100644 testing/wqy-zenhei/91-wqy-zenhei.conf
 create mode 100644 testing/wqy-zenhei/APKBUILD
diff --git a/testing/wqy-zenhei/44-wqy-zenhei.conf b/testing/wqy-zenhei/44-wqy-zenhei.conf
new file mode 100644
index 0000000000..6894073d3b
--- /dev/null
+++ b/testing/wqy-zenhei/44-wqy-zenhei.conf
_at_@ -0,0 +1,29 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+	<alias>
+		<family>serif</family>
+		<prefer>
+			<family>Bitstream Vera Serif</family>
+			<family>DejaVu Serif</family>
+			<family>WenQuanYi Zen Hei</family>
+		</prefer>
+	</alias>
+	<alias>
+		<family>sans-serif</family>
+		<prefer>
+			<family>DejaVu Sans</family>
+			<family>Bitstream Vera Sans</family>
+			<family>WenQuanYi Zen Hei</family>
+		</prefer>
+	</alias>
+	<alias>
+		<family>monospace</family>
+		<default>WenQuanYi Zen Hei Mono</default>
+		<prefer>
+			<family>DejaVu Sans Mono</family>
+			<family>Bitstream Vera Sans Mono</family>
+			<family>WenQuanYi Zen Hei Mono</family>
+		</prefer>
+	</alias>
+</fontconfig>
diff --git a/testing/wqy-zenhei/91-wqy-zenhei.conf b/testing/wqy-zenhei/91-wqy-zenhei.conf
new file mode 100644
index 0000000000..d7d962fd74
--- /dev/null
+++ b/testing/wqy-zenhei/91-wqy-zenhei.conf
_at_@ -0,0 +1,24 @@
+<?xml version='1.0'?>
+<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
+<fontconfig>
+	<match target="font">
+		<test qual="any" name="family">
+			<string>WenQuanYi Zen Hei</string>
+		</test>
+		<test qual="any" name="family">
+			<string>文泉驿正黑</string>
+		</test>
+		<test qual="any" name="family">
+			<string>文泉驛正黑</string>
+		</test>
+		<edit name="globaladvance"><bool>false</bool></edit>
+		<edit name="spacing"><int>0</int></edit>
+		<edit name="antialias" mode="assign"><bool>true</bool></edit>
+		<edit name="hinting" mode="assign"><bool>true</bool></edit>
+		<edit name="hintstyle" mode="assign"><const>hintnone</const></edit>
+		<edit name="autohint" mode="assign"><bool>false</bool></edit>
+		<edit name="rh_prefer_bitmaps" mode="assign"><bool>false</bool></edit>
+		<edit name="rgba" mode="assign"><const>none</const></edit>
+		<edit name="embeddedbitmap"><bool>false</bool></edit>
+	</match>
+</fontconfig>
diff --git a/testing/wqy-zenhei/APKBUILD b/testing/wqy-zenhei/APKBUILD
new file mode 100644
index 0000000000..c5656fe6ff
--- /dev/null
+++ b/testing/wqy-zenhei/APKBUILD
_at_@ -0,0 +1,43 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=wqy-zenhei
+pkgver=0.9.45
+pkgrel=0
+pkgdesc="Hei-Ti style (sans-serif) Chinese outline font"
+url="http://wenq.org/wqy2/index.cgi?ZenHei"
+arch="noarch"
+license="GPL2"
+depends="fontconfig mkfontscale"
+makedepends=""
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/wqy/wqy-zenhei-0.9.45.tar.gz
+	44-wqy-zenhei.conf
+	91-wqy-zenhei.conf"
+builddir="$srcdir/"
+
+build() {
+	return 0
+}
+
+package() {
+	mkdir -p "$pkgdir"/usr/share/fonts/wenquanyi/$pkgname \
+		"$pkgdir"/etc/fonts/conf.avail \
+		"$pkgdir"/etc/fonts/conf.d
+
+	install -m644 "$srcdir"/$pkgname/$pkgname.ttc \
+		"$pkgdir"/usr/share/fonts/wenquanyi/$pkgname || return 1
+
+	for j in "$srcdir"/*.conf; do
+		install -m644 "$j" "$pkgdir"/etc/fonts/conf.avail || return 1
+		ln -sf /etc/fonts/conf.avail/${j##*/} \
+			"$pkgdir"/etc/fonts/conf.d/${j##*/}
+	done
+
+	sed '/<!-- /d' "$srcdir"/$pkgname/43-wqy-zenhei-sharp.conf \
+		> "$pkgdir"/etc/fonts/conf.avail/43-wqy-zenhei-sharp.conf
+}
+
+sha512sums="02bc35891696453e4f730c7e2e3147566b4efc3a30f8d5cf81b1b8f244c629c76d0d812b74555143a5475a70b52d586a6fca52aa2df411649fe0ee2e12fda3a6  wqy-zenhei-0.9.45.tar.gz
+4b3a1ab9e978bff484172951322c7d8de41d306dd86c28a3f4ed5ee3adfbd9742dbcf5ccbe6270bef272e2bef35174396b4a519148dbf3623096ebc222887cf6  44-wqy-zenhei.conf
+65005c4345ae9a78a680fb5d1c1e6837df827fd8f1ddd305f27b4d61190cad833ea5a728fbdbb73f4af0316e022ebffe9e29363b8ef9ee8730ad2a436ee8d18e  91-wqy-zenhei.conf"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Feb 20 2017 - 11:59:55 GMT